net.minecraft.client.model

## Class ModelSpider

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelSpider

-     public class ModelSpider
      extends ModelBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ModelRenderer` | `spiderBody` The spider's body box
    `ModelRenderer` | `spiderHead` The spider's head box
    `ModelRenderer` | `spiderLeg1` Spider's first leg
    `ModelRenderer` | `spiderLeg2` Spider's second leg
    `ModelRenderer` | `spiderLeg3` Spider's third leg
    `ModelRenderer` | `spiderLeg4` Spider's fourth leg
    `ModelRenderer` | `spiderLeg5` Spider's fifth leg
    `ModelRenderer` | `spiderLeg6` Spider's sixth leg
    `ModelRenderer` | `spiderLeg7` Spider's seventh leg
    `ModelRenderer` | `spiderLeg8` Spider's eight leg
    `ModelRenderer` | `spiderNeck` The spider's neck box

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelSpider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `func_85181_a, getTextureOffset, setLivingAnimations`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### spiderHead

          public ModelRenderer spiderHead

      The spider's head box

    - #### spiderNeck

          public ModelRenderer spiderNeck

      The spider's neck box

    - #### spiderBody

          public ModelRenderer spiderBody

      The spider's body box

    - #### spiderLeg1

          public ModelRenderer spiderLeg1

      Spider's first leg

    - #### spiderLeg2

          public ModelRenderer spiderLeg2

      Spider's second leg

    - #### spiderLeg3

          public ModelRenderer spiderLeg3

      Spider's third leg

    - #### spiderLeg4

          public ModelRenderer spiderLeg4

      Spider's fourth leg

    - #### spiderLeg5

          public ModelRenderer spiderLeg5

      Spider's fifth leg

    - #### spiderLeg6

          public ModelRenderer spiderLeg6

      Spider's sixth leg

    - #### spiderLeg7

          public ModelRenderer spiderLeg7

      Spider's seventh leg

    - #### spiderLeg8

          public ModelRenderer spiderLeg8

      Spider's eight leg

  - ### Constructor Detail

    - #### ModelSpider

          public ModelSpider()

  - ### Method Detail

    - #### render

          public void render(Entity par1Entity,
                    float par2,
                    float par3,
                    float par4,
                    float par5,
                    float par6,
                    float par7)

      Sets the models various rotation angles then renders the model.
      Overrides:
        `render` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.
      Overrides:
        `setRotationAngles` in class `ModelBase`